/*******************
VARIABLES
*******************/
var clickthroughBtn, transparentClickthroughBtn, panelContainer;
/*******************
INITIALIZATION
*******************/
function checkIfAdKitReady(event) {
	adkit.onReady(initializeCreative);
}

function initializeCreative() {
	initializeGlobalVariables();
	addEventListeners();
}

function initializeGlobalVariables() {
	transparentClickthroughBtn = document.getElementById("transparent-clickthrough");
	clickthroughBtn = document.getElementById("clickthrough");
	panelContainer = document.getElementById("panel-container");
}

function addEventListeners() {
	transparentClickthroughBtn.addEventListener("click", onClickthrough);
	clickthroughBtn.addEventListener("click", onClickthrough);
}
/*******************
EVENT HANDLERS
*******************/
function onClickthrough(e) {
	EB.clickthrough("click_header");
}
/*******************
CALLBACK FUNCTIONS
*******************/
function afterShowPanelContent() {
	//Implement code logic to fire when the panel is shown
}

function afterExpandAnimStart(args) {
	//Implement code logic to fire on expand animation start
	panelContainer.style.display = "none";
}

function afterExpandAnimComplete(args) {
	//Implement code logic to fire on Expand animation Complete
}

function afterCollapseAnimStart(args) {
	//Implement code logic to fire on Collapse animation start
}

function afterCollapseAnimComplete(args) {
	//Implement code logic to fire on Collapse animation Complete
	panelContainer.style.display = "block";
}
/*******************
END OF CREATIVE FUNCTIONS
*******************/
//config = {    panel: define the type of the element for the immersiveTakeover, //options: header, left_gutter, right_gutter, background, videoskin, controls or standard
//in the case you want to use the resizeVideo function in the panel with video to get a good aspectRatio, you will need:
//              videoWidth: width of your video,
//              videoHeight: height of your video
//};
var config = {
	panel: "header"
};
var immersiveTakeover = new immersiveTakeover(config);
window.addEventListener("load", checkIfAdKitReady);